
 LinHES - Bug # 565: replace /sbin/shutdown with the official Arch version

Status: Closed Priority: Normal
Author: graysky Category:
Created: 11/02/2009 Assignee: jams
Updated: 03/21/2010 Due date:
Description: I noticed that the version of /sbin/shutdown that comes with R6 has been modified to force a user to include 

the -t switch for any timed operation.  This is annoying because it switches the default time from minutes 
(easy to do in your head) to seconds (not so easy to do in your head).   For example, I want to shutdown in 2 
h.  

LinHES shutdown: 
 # shutdown -h -t 7200

Arch shutdown:
 # shutdown -h 120

Thoughts?

History
11/09/2009 04:36 am - graysky
Just noticed that the -F flag to force an fsck on reboot doesn't work with the LinHES version of shutdown either.  Can you enable it as well?

01/22/2010 03:33 pm - brfransen
The -t flag also breaks apcupsd unless /etc/apcupsd/apccontrol is modified with the -t flag.

03/08/2010 03:18 pm - mihanson
@Britney: I just want to confirm you're talking about lines 103 and 107?

03/08/2010 04:41 pm - brfransen
Michael, yes I am talking about lines 103 & 107 in apccontrol.

In talking with jams in IRC the official arch version of shutdown can't be used in LinHES because it doesn't work with runit.  Attached is a patch for the 
shutdown.script that removes the requirement for the -t flag.  If there is no -t flag it will assume no delay.  This will eliminate the need to modify 
apccontrol or any other utility that expects to be run with the -t flag.

03/21/2010 07:31 am - jams
- Assignee set to jams

03/21/2010 10:26 am - jams
- Target version set to 6.03.00

03/21/2010 10:27 am - jams
- % Done changed from 0 to 100

- Status changed from New to Closed

Applied in changeset commit:"24f264263b2646b97da784102c3c72dcfec40aae".
shutdown.script.diff 512 Bytes 03/08/2010 admin
